<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
  	<title>Quick Planes Battle</title>
	<link href="main.css" type="text/css" rel="stylesheet">
	<script type="text/javascript" src="jsibox/jsibox_basic.js"></script>
</head>

<body>
<h1>Quick Planes Battle</h1>
<h2>QA Report</h2>
<h2>part 2</h2>

<h2>Комментарии к  исправлениям</h2>
<br>

<table border=1 width=100% cellpadding=10>
	<tr> <th>Исправление</th>	<th>Комментарий</th>	</tr>	

	<tr> 
		<td>
			Туториал перед первым уровнем
		</td>	
		<td>
			<p>
			<b>Во-первых</b>, 
			туториал перед каждым первым уровнем - слегка напрягает. Туториал должен появлятся только перед первым запуском. 
			Если игрок уже прошел всю игру и решил переиграть первый уровень, показывать ему туториал глупо.
			При этом должна быть возможность 
			посмотреть туториал и в любое другое время - можно сделать кнопку со знаком вопроса, где-нибудь в углу экрана. А то как-то
 			некрасиво: перед первым уровнем туториал просто пролистываешь быстрей, а потом, когда уже надо в чем-то разобраться, 
 			невозможно его найти если точно не знаешь, что он перед
			первым уровнем. Если же первый уровень не получается долго пройти - туториал нормально так надоедает.</p>
			<p>
			<b>Во-вторых</b> , 
			делать туториал одной текстурой - это очень плохо. Я понимаю, что это такой быстрый костыль, но: <br>
			- слишком заметна пауза (~1-2 сек) при загрузке
			этих текстур (почти 20 Mb оперативки загружается/выгружается два раза там, где ждешь скорости). <br>
			- туториал получился недолокализованным (надписи бонусов всегда на английском), и это там, где должно объяснятся что они обозначают.
			</p>
			<a href="common/rus_eng_tutor.png" rel="rusengtutor" onclick="return jsiBoxOpen(this)"> <img src="common/rus_eng_tutor.png" width="300" > </a>
			<br>
			<b>В-третьих</b> , 
			На G600 периодически возникает вот такой баг: первый экран туториала не виден полностью! 
			При этом тач по экрану - открывает второй экран туториала нормально. Баг трудно повторим и неясно досконально,
			что к этому приводит. Такое ощущение, что если телефон сам по себе подтормаживает (например запущено много
			приложений в фоне), то текстура с туториалом "не выезжает" до конца из-за границы экрана, а зависает где-то
			на полпути. Не знаю как объяснить лучше,но выглядит именно так. На других устройствах подобного не наблюдалось.</p>
			<a href="g600/tutor1.png" rel="tutor" onclick="return jsiBoxOpen(this)"> <img src="g600/tutor1.png" width="300" > </a>
			<a href="g600/tutor2.png" rel="tutor" onclick="return jsiBoxOpen(this)"> <img src="g600/tutor2.png" width="300" > </a>
			
			
		</td>
	</tr>	
		<td>
			Музыка и звук отключаются отдельно
		</td>	
		<td>
			<p>
			Кнопка отключения звуков ужасна :). Ее необходимо сделать в едином стиле с кнопкой музыки. 
			В кнопке музыки - нотка зеленая/ нотка красная
			перечеркнутая. Кнопка звуков тоже должна быть - динамик зеленый/ динамик красный перечеркнутый. </p>
			<p>
			Сейчас мало того,что красный динамик не перечеркнут (угадай: вкл - это красный или зеленый?), так еще и у красного нет "звуковых волн"
			и он как будто растянут - выглядит как выдранный из другой игры :)</p>
			
		</td>
	</tr>	

	</tr>	
		<td>
			Просим оценить приложение
		</td>	
		<td>
			<p>
			Можно просить почаще - ничего страшного. Особенно если не куплено. 
			Можно просить каждый запуск, после победы (но один раз за запуск) - будет нормально. А если при выходе - то вообще не напрягает. Только нужно
			отслеживать, если игрок уже оценил один раз, то больше его не просить :)</p>
		</td>
	</tr>	

	</tr>	
		<td>
			Починил определение локали, теперь должна запускаться русская версия. Надо её потестить - убедиться что текст везде смотрится хорошо
		</td>	
		<td>
			<p>
			Смотрится хорошо. Но в G600 опять баг: независимо от локали запускается все время английская версия.
			Что только не пробовали: и перегружали телефон, и переустанавливали игру - ничего не помогает. Я было подумал, что
			выбираемая локаль не совсем "русская" - называется "Русский (Беларусь)", но во первых, другой нету (при выборе "Русский" 
			выбирается именно она), во вторых, все остальные программы которые есть на этом телефоне корректно переключаются на
			русский, а в третьих, на других телефонах независимо от того как называется русская локаль ("Русский" или 
			"Русский (Беларусь)") все работает как надо и локаль переключается правильно. Баг именно на G600.
			Прошивка на нем стандартная, launcher тоже. Я не знаю в чем тут может быть дело.</p><br>	
			<a href="g600/locale.png" rel="locale" onclick="return jsiBoxOpen(this)"> <img src="g600/locale.png" width="150" > </a>
						
			
		</td>
	</tr>	
	<tr bgcolor=#AEA> 
		<td >
			Полоска здоровья у противников
		</td>	
		<td>
			все нормально
		</td>
	</tr>	

	<tr bgcolor=#AEA> 
		<td >
			Переделал выбор самолетов ( повторный тап на самолете для выбора )
		</td>	
		<td>
			все нормально
		</td>
	</tr>	

	<tr bgcolor=#AEA> 
		<td >
			Починил текст для только что открытого самолета 
		</td>	
		<td>
			все нормально
		</td>
	</tr>	

	<tr bgcolor=#AEA> 
		<td >
			Возможность открыть самолет, купив его ( тап на силуэте или на зеленой надписи )
		</td>	
		<td>
			все нормально
		</td>
	</tr>	
	
	<tr bgcolor=#AEA> 
		<td >
			Показываем открытие нового самолета 
		</td>	
		<td>
			все нормально
		</td>
	</tr>	

	<tr>	
		<td>
			Починил двойной и запаздывающий звук клика ( там все равно чтото не так, но копать дальше лень )
		</td>	
		<td>
			<p>
			Так и есть. Стало получше, но клик все равно периодически запаздывает. В принципе, ничего страшного.
			</p>
		</td>
	</tr>	


	<tr bgcolor=#AEA> 
		<td >
			Обнуление жизней при поражении 
		</td>	
		<td>
			все нормально
		</td>
	</tr>	

	<tr>	
		<td>
			Поправил поведение клавиши "назад". теперь в игре ставит на паузу, а в меню переходит на первый экран
		</td>	
		<td>
			<p>
			Так и есть. Но желательно, чтобы в меню выходило не на первый а на предыдущий экран. 
			Выбрал не тот самолет, в окне уровней нажимаешь Back, ожидаешь, что вернешься к предыдущему экрану,
			ан нет - приходится делать лишние нажатия. И в туториалах со второго экрана нельзя вернуться
			к первому - неудобно.
			</p>
		</td>
	</tr>	
	
	<tr bgcolor=#AEA> 
		<td >
			Пауза, если приложение было свернуто
		</td>	
		<td>
			все нормально
		</td>
	</tr>	
	

	<tr>	
		<td>
			Баг с перерисовкой кнопки звука - фиксить не будем, оно того не стоит ( выглядит как баг фреймворка )
		</td>	
		<td>
			<p>
			Плохо. Дело не в том, что этот баг был специально "спровоцирован" - нет. Просто когда экран достаточно 
			маленький, а палец достаточно пролетарский, как у меня, то такой баг возникает случайно: тычешь в кнопку, а 
			звук не выключается, а кнопка перерисовывается. Особенно сейчас, когда рядом две кнопки звука - приходится
			прицеливаться. Если
			это действительно баг фреймворка, то чтобы уменьшить появление этого бага, можно сделать кнопки покрупнее
			хотя бы. Хотя тут зависит от ЦА: у детей и женщин, а также на планшете особенных проблем с этим багом не возникало.
			</p>
		</td>
	</tr>	


	<tr bgcolor=#AEA>	
		<td>
			изменения в управлении
			<ul>    
				<li>починил залипание стрельбы</li>
    			<li>кнопка стрельбы на полэкрана</li>
			</ul>
		</td>	
		<td>
			<p>
				Управление стало просто отличное!!! Претензий вообще нет.
			</p>
		</td>
	</tr>	

	<tr bgcolor=#AEA>	
		<td>
			Баг, когда невидно самолет возле края экрана - фиксить не будем, может быть потом

		</td>	
		<td>
			<p>
				Ок.
			</p>
		</td>
	</tr>	


	<tr> 
		<td>
			Первые 3 секунды игрок не может разбиться об землю
		</td>	
		<td>
			<p> Иногда он вообще не может :) </p><br>
			<iframe width="560" height="315" src="https://www.youtube.com/embed/2Yd75wf0FGI" frameborder="0" allowfullscreen></iframe>
		</td>
	</tr>	

	<tr bgcolor=#AEA>	
		<td>
			Экран загрузки менять пока не будем
		</td>	
		<td>
			<p>
				Ок.
			</p>
		</td>
	</tr>	


	<tr bgcolor=#AEA>	
		<td>
			Добавил графику для патронов в очереди
		</td>	
		<td>
			<p>
				Отлично! Так намного лучше.  
			</p>
		</td>
	</tr>	


	<tr bgcolor=#AEA>	
		<td>
			<ul>
			<li>Поменял стиль выстрелов - теперь можно зажать выстрел и выстрелят все доступные патроны. 
			Потом патроны будут набираться, можно не дожидаться пока наберется максимальная очередь и 
			стрелять накопившимися. Это может поломать баланс, если заметите, что играть слишком легко/сложно - напишите. </li>
			
			<li>очередь набирается неравномерно а с задержкой в некотором диапазоне ( у некоторых самолетов разная задержка )</li>
			<li>красный самолет может набирать до 5 патронов в очереди ( больше всех ), но долго перезаряжается</li>
			<li>желтый - 2 партона, но очень быстро перезаряжается</li>
			</ul>
		</td>	
		<td>
			<p>
				Мне кажется, так стало лучше. Баланс особо не поломался - все нормально. А в сочетании с отображением
				патронов в очереди играть стало понятнее, что ли.
			</p>
		</td>
	</tr>	


	<tr bgcolor=#AEA>	
		<td>
			Надписи "ПОБЕДА" и "ПОРАЖЕНИЕ" не исчезают с экрана
		</td>	
		<td>
			<p>
				Ок.
			</p>
		</td>
	</tr>	


</table>

<br><br>
<h2>Итого</h2>
<p> В сухом остатке самые серъезные недостатки - это показ туториалов (перед каждым прохождением, подтормаживания и недолокализация), 
и навигация по меню (кнопка "Back"). Все остальное не так критично.</p>
 <p>А вообще случаются интересные моменты: в одном из случаев, на экране выбора 
самолета была как-то не очень удачно повернута каруселька, экран моргнул, стал полностью черным. При этом игра не
упала, а продолжала работать. Такое ощущение что произошла по какой-то причине потеря контекста и текстуры
перестали отображаться. На кнопку "Back" не было вообще никакой реакции, по кнопке "Home" вышел в домашний 
экран, но игра так и продолжала работать с черным экраном. Помогло только принудительное ее убийство в процессах.
Вся вышеописанная ситуация произошла на Motorol-е - самом быстром из имеющихся у меня устройств. Сколько не пытался потом 
повторить эту процедуру "на камеру" - повалить снова не получалось (может уже было исправлено?), но до этого это случалось пару раз.
</p>
<br><br>

</body>
</html>
